<?php 

namespace Phalcon\Forms {

	/**
	 * Phalcon\Forms\Form
	 *
	 * This component allows to build forms
	 */
	
	class Form implements \Countable, \Iterator, \Traversable {

		protected $_position;

		protected $_entity;

		protected $_data;

		protected $_elements;

		protected $_elementsIndexed;

		protected $_messages;

		/**
		 * \Phalcon\Forms\Form constructor
		 *
		 * @param object $entity
		 */
		public function __construct($entity=null){ }


		/**
		 * Sets the entity related to the model
		 *
		 * @param object $entity
		 * @return \Phalcon\Forms\Form
		 */
		public function setEntity($entity){ }


		/**
		 * Returns the entity related to the model
		 *
		 * @return object
		 */
		public function getEntity(){ }


		/**
		 * Returns the form elements added to the form
		 *
		 * @return \Phalcon\Forms\ElementInterface[]
		 */
		public function getElements(){ }


		/**
		 * Binds data to the entity
		 *
		 * @param array $data
		 * @param object $entity
		 * @param object $entity
		 * @return \Phalcon\Forms\Form
		 */
		public function bind($data, $entity, $whitelist=null){ }


		/**
		 * Validates the form
		 *
		 * @param array $data
		 * @param object $entity
		 * @return boolean
		 */
		public function isValid($data=null, $entity=null){ }


		/**
		 * Returns the messages generated in the validation
		 *
		 * @param boolean $byItemName
		 * @return array
		 */
		public function getMessages($byItemName=null){ }


		/**
		 * Returns the messages generated by
		 *
		 * @return \Phalcon\Validation\Message\Group[]
		 */
		public function getMessagesFor($name){ }


		/**
		 * Adds an element to the form
		 *
		 * @param \Phalcon\Forms\ElementInterface $element
		 * @return \Phalcon\Forms\Form
		 */
		public function add($element){ }


		/**
		 * Renders an specific item in the form
		 *
		 * @param string $name
		 * @param array $attributes
		 * @return string
		 */
		public function render($name, $attributes=null){ }


		/**
		 * Returns an element added to the form by its name
		 *
		 * @param string $name
		 * @return \Phalcon\Forms\ElementInterface
		 */
		public function get($name){ }


		/**
		 * Generate the label of a element added to the form including HTML
		 *
		 * @param string $name
		 * @param array $attributes
		 * @return string
		 */
		public function label($name){ }


		/**
		 * Returns the label
		 *
		 * @param string $name
		 * @return string
		 */
		public function getLabel($name){ }


		/**
		 * Gets a value from the the internal related entity or from the default value
		 *
		 * @param string $name
		 * @return mixed
		 */
		public function getValue($name){ }


		/**
		 * Returns the number of elements in the form
		 *
		 * @return int
		 */
		public function count(){ }


		/**
		 * Rewinds the internal iterator
		 */
		public function rewind(){ }


		/**
		 * Returns the current element in the iterator
		 *
		 * @return \Phalcon\Validation\Message
		 */
		public function current(){ }


		/**
		 * Returns the current position/key in the iterator
		 *
		 * @return int
		 */
		public function key(){ }


		/**
		 * Moves the internal iteration pointer to the next position
		 *
		 */
		public function next(){ }


		/**
		 * Check if the current element in the iterator is valid
		 *
		 * @return boolean
		 */
		public function valid(){ }

	}
}
